Name:             tovid
Version:          0.31
Release:          8%{?dist}
Summary:          (S)VCD/DVD Authoring Suite
URL:              http://tovid.sourceforge.net/
Source0:          http://ovh.dl.sourceforge.net/sourceforge/tovid/tovid-%{version}.tar.gz
Source1:          48px-Tovid_icon.png
Patch0:           %{name}-%{version}-wxpython-version.patch
Patch1:           %{name}-todisc-%{version}.patch
License:          GPLv2
Group:            Applications/Multimedia
Requires:         mplayer, mencoder, ffmpeg >= 0.4.9-0.8.20070530, faac, libvorbis
Requires:         sox, mkisofs, transcode, libdvdcss, a52dec, libtheora, ImageMagick, tkinter
Requires:         mjpegtools, python, python-imaging, cairo, pycairo, pygtk2, wxPython >= 2.6
BuildRequires:	  vcdimager, lsdvd, dvdauthor >= 0.6.0, desktop-file-utils
BuildRequires:	  txt2tags
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper
BuildArch:        noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
A suite of shell scripts to make VCD, SVCD and DVD authoring a little easier.
Converts arbitrary video formats into (S)VCD/DVD-compliant mpeg, and can help
with menu creation and disc authoring

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b %{name}-%{version}-wxpython-version.patch
%patch1 -p0 -b %{name}-todisc-%{version}.patch

%build
%configure

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

rm -rf %{buildroot}%{_datadir}/applications/*.desktop

cat > %{name}-default.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
StartupNotify=true
Name=Tovid Default
Comment=A (S)VCD/DVD Authoring Suite.
Exec=tovidgui
Icon=%{name}
Terminal=false
Type=Application
EOF
mkdir -p %{buildroot}%{_datadir}/applications 
desktop-file-install --vendor=fedora         \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-Fedora                    \
  --add-category AudioVideo                  \
  %{name}-default.desktop

cat > %{name}-todisc.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
StartupNotify=false
Name=Tovid Todisc
Comment=A (S)VCD/DVD Authoring Suite.
Exec=todiscgui
Icon=%{name}
Terminal=false
Type=Application
EOF
mkdir -p %{buildroot}%{_datadir}/applications 
desktop-file-install --vendor=fedora         \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-Fedora                    \
  --add-category AudioVideo                  \
  %{name}-todisc.desktop

%post
scrollkeeper-update -q || :

%postun
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{_libdir}/python2.5/site-packages/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*


%changelog
* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-8
- startup notify is set to false within todiscgui desktop file

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-7
- Terminal has to be set to false again within todiscgui desktop file

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-6
- tkinter is required for todiscgui now and added do deps...

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-5
- Rebuild for Fedora 10

* Tue May 20 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-4
- Rebuild for Fedora 9
- icon names without an extension

* Fri Dec 28 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-3
- todisk patch added

* Tue Nov 13 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-2
- Rebuild for Fedora 8 

* Wed Sep 19 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.31-1
- Update to version 0.31
- ffmpeg.patch removed
- wxpython-version.patch added
- Anyway... tovidgui comes with blank screen on start!
- The tovidgui window must be resized to fill it :-( 

* Mon Jun  4 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.30-4
- Force ffmpeg update >= ffmpeg-0.4.9-0.8.20070530

* Mon Jun  4 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.30-3
- Applied ffmpeg patch - thanks to Gustavo Maciel Dias Vieira <gustavo@sagui.org> 

* Sun Jun  3 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.30-2
- Rebuild for Fedora 7
- Terminal is set to true inside of fedora-todisc.desktop 
- Category application removed to match desktop entry specification
- Python version changed up to 2.5 for files section

* Mon Feb 26 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.30-1
- lsdvd as package added to BuildRequires
- Thanks to Moritz Barsnick for his work

* Mon Feb 26 2007 Moritz Barsnick <moritz+rpm@barsnick.net> 0.30-0.1sunshine
- Update to 0.30
- Also package the icons
- Don't package the delivered desktop files, keep using our own
- Use %%configure
- Fix dist tag (%%{dist} -> %%{?dist})
- Make the BR for lsdvd into /usr/bin/lsdvd (should perhaps be
  %%{_bindir}/lsdvd), I do not have a package of that name, but it is
  in streamdvd-streamanalyze (from livna.org)
- Add BR txt2tags

* Mon Jan 15 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.29-3
- Cairo and pycairo added to dependencies

* Mon Jan 15 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.29-2
- Rebuild with python-imaging added to dependencies...
- ...thanks to Jan Wilke jan.wilke[at]web.de...  

* Thu Nov  9 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.29-1
- Update to 0.29

* Sat Oct 28 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.28-3
- Rebuild for Fedora Core 6

* Thu Jul 27 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.28-2
- Desktop entry for todiscgui added

* Thu Jul 27 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.28-1
- Update to 0.28

* Fri Jun  9 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.27-1
- Update to 0.27

* Sat May 20 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.26-5
- missed deps (a52dec, faac, libvorbis, libtheora) added

* Sat May 13 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.26-4
- icon changed

* Mon Apr 24 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.26-3
- missed deps (desktop-file-utils, scrollkeeper) added

* Sat Apr 22 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.26-2
- Desktop entry and icon added
- gui does now work with wxPython >= 2.6

* Mon Apr 10 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.26-1
- rebuild for version 0.26
- based on the specfile stolen from http://ftp.upjs.sk/pub/users/SAL/
- dep for mplayer-mencoder removed, dep to mencoder added instead
- deps to dvdauthor, vcdimager and libdvdcss added
- libdir added
- some cleanups
- gui does not work currently on FC5
